discuss-gnustep
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: *Any* way to getting GNUstep on a G4 ???


From: Quentin Mathé
Subject: Re: *Any* way to getting GNUstep on a G4 ???
Date: Sat, 30 Oct 2004 00:54:51 +0200

Le 29 oct. 04, à 19:51, Uli Kusterer a écrit :

Okay,

 new problem: Somehow it seems my ObjC is broken:

When I configure gnustep-back, I get:

checking whether objc really works... no
I don't seem to be able to use your Objective-C compiler to produce
working binaries!  Please check your Objective-C compiler installation.
If you are using gcc-3.x make sure that your compiler's libgcc_s and
libobjc
can be found by the dynamic linker - usually that requires you to play
with LD_LIBRARY_PATH or /etc/ld.so.conf.
Please refer to your compiler installation instructions for more help.
configure: error: The Objective-C compiler doesn't work or is not
installed properly.

I have libgcc_s, but there's no libobjc in /usr/local/lib at all (only
Apple's in /usr/lib). Shouldn't GCC include that when I install the
whole shebang? I tried going into the libobjc directory and installing
it explicitly, but configuring libobjc always gets me:

Frequently you obtain this error, when you have forgotten to execute this line : ln -s libobjc.a libobjc.dylib # So the linker sees us

right after :
make bootstrap
make install
cd <gcc install dir>/lib

Quentin.

--
Quentin Mathé
address@hidden





reply via email to

[Prev in Thread] Current Thread [Next in Thread]